#ifndef __SCSIBASE_H__
#define __SCSIBASE_H__

#pragma pack(1)

typedef enum _QAS_ITEM
{
	QAS0 = 0,
	QAS1,	
	QAS2,
	QAS3,
	TOTAL_QAS
}QAS_ITEM;
	
typedef enum _QAS_MODE
{	
	QAS_DISABLED = 0,
	QAS_ENABLED,
	TOTAL_QAS_MODE
}QAS_MODE;


typedef enum _AUTO_SPEED_DOWN
{
	ASD_ENABLED = 0,
	ASD_DISABLED,
	TOTAL_ASD_MODE
}AUTO_SPEED_DOWN;

typedef enum _TWO_TB_MODE
{
	TW0_TB_12BYTES = 0,
	TW0_TB_16BYTES,
	TOTAL_TWO_TB_MODE
}TWO_TB_MODE;


typedef struct _U320_SCSI_TARGET_CONFIG
{
	BYTE qasc[4];	
	BYTE autospeeddown;
	BYTE twoTBmode;
	BYTE reserved[2];		// reserved
}sU320_SCSI_TARGET_CONFIG, *pU320_SCSI_TARGET_CONFIG;

#pragma pack()
#endif


